org.apache.xmlbeans.impl.xb.xsdschema

## Interface PatternDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    PatternDocumentImpl

      public interface PatternDocument
      extends XmlObject

  A document containing one pattern(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PatternDocument.Pattern` An XML pattern(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<PatternDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatternDocument.Pattern` | `addNewPattern()` Appends and returns a new empty "pattern" element
    `PatternDocument.Pattern` | `getPattern()` Gets the "pattern" element
    `void` | `setPattern(PatternDocument.Pattern pattern)` Sets the "pattern" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<PatternDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getPattern

          PatternDocument.Pattern getPattern()

      Gets the "pattern" element

    - #### setPattern

          void setPattern(PatternDocument.Pattern pattern)

      Sets the "pattern" element

    - #### addNewPattern

          PatternDocument.Pattern addNewPattern()

      Appends and returns a new empty "pattern" element